////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Verilog netlist for design range                                           //
// Created by the Saber Integration Toolkit   3.4-2.7 of Analogy, Inc.        //
// Created on Mon Jul 10 10:52:04 1995.                                       //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

`timescale 1ns / 1ns





// A new MODULE definition 'phsd_1' begins below.

module phsd_1(  R , V );

	// Nets connected externally to this cell.
	input R ;
	input V ;

	// Internal buses of this cell.

	// Nets connected to partner simulator by a hypermodel
	reg reg__start ;
	wire start ;
	assign start = reg__start ;
	wire U_up_out ;
	wire D_down_out ;

	// Internal nets of this cell.
	wire or_out ;
	wire reset ;
	wire down1 ;
	wire up1 ;
	wire vss_Power ;
	wire vdd_Ground ;

	and #(4,6)
		and1(  reset , or_out , start );
	or #(4,2)
		or1(  or_out , up1 , down1 );
	ilch_bhv 
		l2(  down1 , reset , V );
	ilch_bhv 
		l1(  up1 , reset , R );
	buf #(2,2)
		down(  D_down_out , down1 );
	buf #(2,2)
		up(  U_up_out , up1 );
endmodule //phsd_1


module range ();

	// Nets connected externally to this cell.

	// Internal buses of this cell.

	// Nets connected to partner simulator by a hypermodel
	reg reg__ref_clk ;
	wire ref_clk ;
	assign ref_clk = reg__ref_clk ;
	reg reg__dly_clk ;
	wire dly_clk ;
	assign dly_clk = reg__dly_clk ;
	reg reg__VCO ;
	wire VCO ;
	assign VCO = reg__VCO ;

	// Internal nets of this cell.


	integer dc_mode_flag, output_change_count, max_dc_iter, dc_iterations;
	`define vmx_time $time - vmx_time_offset
	time vmx_time_offset;

	phsd_1 
		U1(  ref_clk , VCO );
	phsd_1 
		U2(  dly_clk , VCO );


	initial begin
		$dumpfile("range.dump");
		$dumpvars;
		vmx_time_offset = 0;
		$vmx_initialize("SABER", dc_mode_flag, "saber.bin -lanalogy range.sin");

		$vmx_define_import( U1.reg__start ,"U1.start_out" );
		$vmx_define_export( U1.U_up_out ,"U1.up_out" );
		$vmx_define_export( U1.D_down_out ,"U1.down_out" );
		$vmx_define_import( U2.reg__start ,"U2.start_out" );
		$vmx_define_export( U2.U_up_out ,"U2.up_out" );
		$vmx_define_export( U2.D_down_out ,"U2.down_out" );
		$vmx_define_import( reg__ref_clk ,"ref_clock" );
		$vmx_define_export( ref_clk ,"x1_in" );
		$vmx_define_import( reg__dly_clk ,"x1_out" );
		$vmx_define_import( reg__VCO ,"v1_OUT" );


		$vmx_end_definition;
		max_dc_iter = 10;
		dc_mode_flag = 1;
		$vmx_start_sim("SABER");
		dc_iterations = 0;

		while ( dc_mode_flag != 0 ) begin
			#50 $vmx_do_dc("SABER", output_change_count );
			dc_iterations = dc_iterations + 1;
			if( (output_change_count == 0) || (dc_iterations >= max_dc_iter) ) begin
				dc_mode_flag = 0;
				vmx_time_offset = $time;
			end // if ... begin
		end // while ... begin
	end // initial begin
endmodule //range
